## ros-dashing-gurumdds-cmake-module 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gurumdds_cmake_module)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

set(${PROJECT_NAME}_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
find_package(GurumDDS QUIET MODULE)
if(GurumDDS_FOUND)
  find_package(GurumDDS MODULE)
endif()
if(GurumDDS_HOME)
  file(TO_NATIVE_PATH "${GurumDDS_HOME}" GurumDDS_HOME)
  if(NOT WIN32)
    ament_environment_hooks(env_hook/gurumdds.sh.in)
  endif()
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "gurumdds_cmake_module-extras.cmake"
)

install(DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-dashing-gurumdds-cmake-module (0.7.8-1bionic) bionic; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Nov 2020 15:00:00 -0000

ros-dashing-gurumdds-cmake-module (0.7.7-1bionic) bionic; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-dashing-gurumdds-cmake-module (0.7.6-1bionic) bionic; urgency=high



 -- junhui <junhui@gurum.cc>  Sun, 05 Jul 2020 15:00:00 -0000

ros-dashing-gurumdds-cmake-module (0.7.5-1bionic) bionic; urgency=high

  * Updated packages to use gurumdds-2.6
  * Contributors: junho

 -- junhui <junhui@gurum.cc>  Wed, 03 Jun 2020 15:00:00 -0000

ros-dashing-gurumdds-cmake-module (0.7.4-1bionic) bionic; urgency=high

  * updated packages to use gurumdds-2.5
  * Contributors: hyeonwoo

 -- junhui <junhui@gurum.cc>  Wed, 18 Dec 2019 15:00:00 -0000

ros-dashing-gurumdds-cmake-module (0.7.3-1bionic) bionic; urgency=high

  * CoreDDS is renamed to GurumDDS
  * Contributors: junho

 -- junhui <junhui@gurum.cc>  Sun, 17 Nov 2019 15:00:00 -0000

ros-dashing-gurumdds-cmake-module (0.7.2-1bionic) bionic; urgency=high



 -- junhui <junhui@gurum.cc>  Wed, 07 Aug 2019 15:00:00 -0000

ros-dashing-gurumdds-cmake-module (0.7.1-1bionic) bionic; urgency=high



 -- junhui <junhui@gurum.cc>  Tue, 11 Jun 2019 15:00:00 -0000

=== debian/control ===
Source: ros-dashing-gurumdds-cmake-module
Section: misc
Priority: optional
Maintainer: Junho Lee <junho@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.7, ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-gurumdds-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-cmake, ros-dashing-ros-workspace
Description: Provide CMake module to find GurumNetworks GurumDDS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-gurumdds-cmake-module//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
